#
# carnet.mod
#

param N integer;
param totValue;
param C {1..N};
param nC {1..N};
var x {1..N} integer, >= 0;

maximize numCoins : sum{i in 1..N} x[i];

subject to carnet_price : sum{i in 1..N}  C[i] * x[i] = totValue;

subject to overall_limit : sum{i in 1..N} x[i] <= 20;

subject to limit {i in 1..N} : x[i] <= nC[i];

